<?php
/**
 * Gallery content.
 *
 * @author  Acowebs
 * @package Acowebs WooCommerce Quick View
 * @version 1.0.0
 * 
 */

 
if (!defined('ABSPATH')) {
    exit;
}

global $product;

if($product){ 
    $attachment_ids = $product->get_gallery_image_ids();
    $image_urls = array();
    $post_thumbnail = '';
    $product_id = $product->get_id();

    if(has_post_thumbnail( $product_id )){
        $post_thumbnail = get_the_post_thumbnail_url( $product_id );
        $image_urls[] = $post_thumbnail;
    }
    if($attachment_ids){
        foreach( $attachment_ids as $attachment_id ) {
            $image_urls[] = wp_get_attachment_url( $attachment_id );
        }
    }
    ?> 
    <?php if(count($image_urls)>1){ ?>
    <div class="acoqvw_gallery_inner">
        <div id="acoqvw_gallery_slider" class="acoqvw_gallery_slider">
            <ul class="acoqvw_sliders">
                <?php foreach($image_urls as $image){ ?>
                    <li data-thumb="<?php echo $image; ?>" class="acoqvw_slider_image" style="background-image: url(<?php echo $image; ?>);"></li>
                <?php } ?>
            </ul>
        </div>
    </div>
<?php } else if(isset($post_thumbnail) && !empty($post_thumbnail)) { ?>
    <div class="acoqvw_thumbnail_container">
        <div id="acoqvw_thumbnail_image" class="acoqvw_thumbnail_image" style="background-image: url(<?php echo $post_thumbnail; ?>);"></div>
    </div>
<?php } ?>

<?php } ?>